## gusb-version gusb-version — Obtains the version for the installed libgusb |

## Functions

#define | G_USB_CHECK_VERSION()
const gchar * | g_usb_version_string ()

## Types and Values

#define | G_USB_MAJOR_VERSION
#define | G_USB_MINOR_VERSION
#define | G_USB_MICRO_VERSION

## Description

These compile time macros allow the user to enable parts of client code depending on the version of libgusb installed.

## Functions

### G_USB_CHECK_VERSION()

    #define             G_USB_CHECK_VERSION(major,minor,micro)

Check whether a gusb version equal to or greater than major.minor.micro.

### g_usb_version_string ()

    const gchar *
    g_usb_version_string (void);

Gets the GUsb installed runtime version.

#### Returns

a version number, e.g. "0.3.1"

Since: 0.3.1

## Types and Values

### G_USB_MAJOR_VERSION

    #define G_USB_MAJOR_VERSION		0

The compile-time major version

### G_USB_MINOR_VERSION

    #define G_USB_MINOR_VERSION		3

The compile-time minor version

### G_USB_MICRO_VERSION

    #define G_USB_MICRO_VERSION		10

The compile-time micro version